SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


Try our Premium Alert Service
 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service





Category:   Application (Web Browser)  >   Apple Safari Vendors:   Apple
Apple Safari Multiple WebKit Bugs Let Remote Users Execute Arbitrary Code and Spoof URLs
SecurityTracker Alert ID:  1031936
SecurityTracker URL:  http://securitytracker.com/id/1031936
CVE Reference:   CVE-2015-1068, CVE-2015-1069, CVE-2015-1070, CVE-2015-1071, CVE-2015-1072, CVE-2015-1073, CVE-2015-1074, CVE-2015-1075, CVE-2015-1076, CVE-2015-1077, CVE-2015-1078, CVE-2015-1079, CVE-2015-1080, CVE-2015-1081, CVE-2015-1082, CVE-2015-1083, CVE-2015-1084   (Links to External Site)
Date:  Mar 17 2015
Impact:   Execution of arbitrary code via network, Modification of system information, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): prior to versions 6.2.4, 7.1.4, 8.0.4
Description:   Multiple vulnerabilities were reported in Apple Safari. A remote user can cause arbitrary code to be executed on the target user's system. A remote user can spoof URLs.

A remote user can exploit a user interface inconsistency to misrepresent the URL [CVE-2015-1084]. This can be exploited to conduct phishing attacks.

A remote user can create specially crafted HTML that, when loaded by the target user, will trigger a memory error in WebKit and execute arbitrary code on the target system [CVE-2015-1068, CVE-2015-1069, CVE-2015-1070, CVE-2015-1071, CVE-2015-1072, CVE-2015-1073, CVE-2015-1074, CVE-2015-1075, CVE-2015-1076, CVE-2015-1077,
CVE-2015-1078, CVE-2015-1079, CVE-2015-1080, CVE-2015-1081, CVE-2015-1082, CVE-2015-1083]. The code will run with the privileges of the target user.

Apple and Google Chrome Security team reported these vulnerabilities.

Impact:   A remote user can create HTML that, when loaded by the target user, will execute arbitrary code on the target user's system.

A remote user can spoof URLs.

Solution:   The vendor has issued a fix (6.2.4, 7.1.4, 8.0.4).

The vendor's advisory will be available at:

https://support.apple.com/en-us/HT1222

Vendor URL:  www.apple.com/ (Links to External Site)
Cause:   Access control error, Boundary error, Input validation error
Underlying OS:  UNIX (macOS/OS X)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Apr 9 2015 (Apple Issues Fix for Apple TV) Apple Safari Multiple WebKit Bugs Let Remote Users Execute Arbitrary Code and Spoof URLs
Apple has issued a fix for Apple TV.



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2018, SecurityGlobal.net LLC